atk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. An determines a component's state set. An determines a component's state set. It is composed of a set of s. GLib.Object
- Method
  System.Boolean `` Checks whether the state for the specified type is in the specified set. an object of type an object of type , if type is the state type is in set.
- Method
  Atk.StateSet `` Constructs the exclusive-or of the two sets, returning is empty. an object of type an object of type which contains the states which are in exactly one of the two sets. The set returned by this operation contains the states in exactly one of the two sets.
- Method
  System.Boolean `` Add a new state for the specified type to the current state set if it is not already present. an object of type an object of type , if the state for type is not already in set.
- Method
  Atk.StateSet `` Constructs the intersection of the two sets, returning if the intersection is empty. an object of type an object of type which is the intersection of the two sets.
- Method
  System.Boolean `` Removes the state for the specified type from the state set. an object of type an object of type , if type was the state type is in set.
- Method
  Atk.StateSet `` Constructs the union of the two sets. an object of type an object of type which is the union of the two sets, returning is empty. To be added
- Method
  System.Void Removes all states from the state set.
- Constructor
  Internal constructor
  Pointer to the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Default constructor
- Method
  System.Boolean `` `` Checks whether the states for all the specified types are in the specified set. a a a To be added
- Property
  System.Boolean Checks whether the state set is empty, i.e. has no states set. a , if the StateSet has no states set, otherwise
- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Internal constructor
  a
  This is a constructor used by derivative types of that would have their own GLib.GType assigned to it. This is not typically used by C# code.
  System.Obsolete
- Method
  Atk.StateType `` Add the states for the specified types to the current state set. a a To be added